×
Create a new article
Write your page title here:
We currently have 283 articles on GearStation 13 Wiki. Type your article name above or click on one of the titles below and start writing!



GearStation 13 Wiki

Difference between revisions of "MediaWiki:Common.css"

Line 59: Line 59:
  #cosmos-search-buttonContainer:hover > #cosmos-search-buttonIcon {
  #cosmos-search-buttonContainer:hover > #cosmos-search-buttonIcon {
   stroke:#fff
   stroke:#fff
}
#searchInput {
  width:100%;
  height:36px;
  padding:5px 20px;
  border:0;
  margin:0;
  -webkit-appearance:none;
  background:rgba(0,0,0,0.4);
  border-radius:0;
  box-shadow:none;
  color:#fff;
  outline:0;
  transition:background 250ms ease
}
#searchInput:focus {
  background:rgba(0,0,0,0.6)
  }
  }

Revision as of 17:33, 10 January 2023

/* CSS placed here will be applied to all skins */
@import url("https://use.fontawesome.com/releases/v5.15.4/css/all.css");

 body * {
  font-family:'Roboto', sans-serif
 }

 .cosmos-bannerOption:hover > .cosmos-bannerOption-button {
  display:inline-flex;
  align-items:center;
  margin-top:0;
  margin-bottom:0;
  justify-items:center;
  stroke:#fff;
  stroke-width:2px;
  transition:0.4s
 }
 .cosmos-bannerOption:hover .cosmos-bannerOption-icon {
  stroke:#fff
 }
 .cosmos-bannerOption:hover .cosmos-bannerOption-dropdownIcon {
  fill:#fff;
  stroke:#fff
 }
 .cosmos-bannerOption-button {
  display:flex;
  align-items:center;
  justify-content:center;
  cursor:pointer
 }
 .cosmos-bannerOption-icon {
  display:flex;
  height:28px;
  align-items:center;
  fill:none;
  justify-items:center;
  stroke:#fff;
  stroke-width:2px
 }
 .cosmos-bannerOption-dropdownIcon {
  display:flex;
  height:auto;
  margin-left:7px;
  fill:#fff;
  stroke:#fff;
  stroke-width:2px
 }
 .cosmos-button.cosmos-button-secondary {
  color:#fff;
  stroke:#fff;
  stroke-width:2px
 }
 #cosmos-search-buttonContainer {
  position:relative;
  width:46px;
  height:36px;
  margin-left:-46px
 }
 #cosmos-search-buttonContainer:hover > #cosmos-search-buttonIcon {
  stroke:#fff
 }
 #searchInput {
  width:100%;
  height:36px;
  padding:5px 20px;
  border:0;
  margin:0;
  -webkit-appearance:none;
  background:rgba(0,0,0,0.4);
  border-radius:0;
  box-shadow:none;
  color:#fff;
  outline:0;
  transition:background 250ms ease
 }
 #searchInput:focus {
  background:rgba(0,0,0,0.6)
 }